@REM ----------------------------------------------------------------------------
@REM Copyright 2001-2004 The Apache Software Foundation.
@REM 
@REM Licensed under the Apache License, Version 2.0 (the "License");
@REM you may not use this file except in compliance with the License.
@REM You may obtain a copy of the License at
@REM 
@REM      http://www.apache.org/licenses/LICENSE-2.0
@REM 
@REM Unless required by applicable law or agreed to in writing, software
@REM distributed under the License is distributed on an "AS IS" BASIS,
@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM See the License for the specific language governing permissions and
@REM limitations under the License.
@REM ----------------------------------------------------------------------------
@REM 

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of agruments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
%0\
cd %0\..\.. 
goto setPaths

:WinNTGetScriptDir
cd /d %0\..\.. 
goto setPaths

:setPaths
set BASEDIR=%CD%

if "%REPO%"=="" set REPO="%BASEDIR%\repo"

set CLASSPATH="%BASEDIR%"\etc;%REPO%\ch\qos\logback\logback-core\0.9.28\logback-core-0.9.28.jar;%REPO%\commons-httpclient\commons-httpclient\3.1\commons-httpclient-3.1.jar;%REPO%\commons-codec\commons-codec\1.2\commons-codec-1.2.jar;%REPO%\org\slf4j\slf4j-api\1.6.1\slf4j-api-1.6.1.jar;%REPO%\javax\activation\activation\1.1\activation-1.1.jar;%REPO%\javax\xml\bind\jaxb-api\2.2.2\jaxb-api-2.2.2.jar;%REPO%\commons-lang\commons-lang\2.6\commons-lang-2.6.jar;%REPO%\com\sun\xml\bind\jaxb-impl\2.2.2\jaxb-impl-2.2.2.jar;%REPO%\com\sun\jersey\jersey-client\1.7\jersey-client-1.7.jar;%REPO%\ch\qos\logback\logback-classic\0.9.28\logback-classic-0.9.28.jar;%REPO%\org\bouncycastle\bcprov-jdk16\1.46\bcprov-jdk16-1.46.jar;%REPO%\commons-io\commons-io\2.0.1\commons-io-2.0.1.jar;%REPO%\javax\xml\stream\stax-api\1.0-2\stax-api-1.0-2.jar;%REPO%\no\digipost\digipost-api-client-java\1.0\digipost-api-client-java-1.0.jar;%REPO%\com\sun\jersey\contribs\jersey-apache-client\1.9\jersey-apache-client-1.9.jar;%REPO%\com\sun\jersey\jersey-core\1.7\jersey-core-1.7.jar;
set EXTRA_JVM_ARGUMENTS=
goto endInit

@REM Reaching here means variables are defined and arguments have been captured
:endInit

java %JAVA_OPTS% %EXTRA_JVM_ARGUMENTS% -classpath %CLASSPATH_PREFIX%;%CLASSPATH% -Dapp.name="dpost-api-cmd" -Dbasedir="%BASEDIR%" no.digipost.api.client.cmd.DigipostCmdClient %CMD_LINE_ARGS%

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=1

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@endlocal

:postExec
exit /B %ERROR_CODE%
